org.apache.hadoop.fs.http.server

## Class FSOperations

- java.lang.Object
- - org.apache.hadoop.fs.http.server.FSOperations

-     @InterfaceAudience.Private
      public final class FSOperations
      extends Object

  FileSystem operation executors used by `HttpFSServer`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FSOperations.FSAclStatus` Executor that gets the ACL information for a given file.
    `static class` | `FSOperations.FSAllowSnapshot` Executor that performs an allowSnapshot operation.
    `static class` | `FSOperations.FSAppend` Executor that performs an append FileSystemAccess files system operation.
    `static class` | `FSOperations.FSConcat` Executor that performs a concat FileSystemAccess files system operation.
    `static class` | `FSOperations.FSContentSummary` Executor that performs a content-summary FileSystemAccess files system operation.
    `static class` | `FSOperations.FSCreate` Executor that performs a create FileSystemAccess files system operation.
    `static class` | `FSOperations.FSCreateSnapshot` Executor that performs a createSnapshot FileSystemAccess operation.
    `static class` | `FSOperations.FSDelete` Executor that performs a delete FileSystemAccess files system operation.
    `static class` | `FSOperations.FSDeleteSnapshot` Executor that performs a deleteSnapshot FileSystemAccess operation.
    `static class` | `FSOperations.FSDisallowSnapshot` Executor that performs an disallowSnapshot operation.
    `static class` | `FSOperations.FSFileChecksum` Executor that performs a file-checksum FileSystemAccess files system operation.
    `static class` | `FSOperations.FSFileStatus` Executor that performs a file-status FileSystemAccess files system operation.
    `static class` | `FSOperations.FSGetAllStoragePolicies` Executor that performs a getAllStoragePolicies FileSystemAccess files system operation.
    `static class` | `FSOperations.FSGetSnapshotDiff` Executor that performs a getSnapshotDiff operation.
    `static class` | `FSOperations.FSGetSnapshottableDirListing` Executor that performs a getSnapshottableDirListing operation.
    `static class` | `FSOperations.FSGetStoragePolicy` Executor that performs a getStoragePolicy FileSystemAccess files system operation.
    `static class` | `FSOperations.FSGetXAttrs` Executor that performs getting xattrs FileSystemAccess files system operation.
    `static class` | `FSOperations.FSHomeDir` Executor that performs a home-dir FileSystemAccess files system operation.
    `static class` | `FSOperations.FSListStatus` Executor that performs a list-status FileSystemAccess files system operation.
    `static class` | `FSOperations.FSListStatusBatch` Executor that performs a batched directory listing.
    `static class` | `FSOperations.FSListXAttrs` Executor that performs listing xattrs FileSystemAccess files system operation.
    `static class` | `FSOperations.FSMkdirs` Executor that performs a mkdirs FileSystemAccess files system operation.
    `static class` | `FSOperations.FSModifyAclEntries` Executor that modifies acl entries for a file in a FileSystem
    `static class` | `FSOperations.FSOpen` Executor that performs a open FileSystemAccess files system operation.
    `static class` | `FSOperations.FSQuotaUsage` Executor that performs a quota-usage FileSystemAccess files system operation.
    `static class` | `FSOperations.FSRemoveAcl` Executor that removes all acls from a file in a FileSystem
    `static class` | `FSOperations.FSRemoveAclEntries` Executor that removes acl entries from a file in a FileSystem
    `static class` | `FSOperations.FSRemoveDefaultAcl` Executor that removes the default acl from a directory in a FileSystem
    `static class` | `FSOperations.FSRemoveXAttr` Executor that performs a removexattr FileSystemAccess files system operation.
    `static class` | `FSOperations.FSRename` Executor that performs a rename FileSystemAccess files system operation.
    `static class` | `FSOperations.FSRenameSnapshot` Executor that performs a renameSnapshot FileSystemAccess operation.
    `static class` | `FSOperations.FSSetAcl` Executor that sets the acl for a file in a FileSystem
    `static class` | `FSOperations.FSSetOwner` Executor that performs a set-owner FileSystemAccess files system operation.
    `static class` | `FSOperations.FSSetPermission` Executor that performs a set-permission FileSystemAccess files system operation.
    `static class` | `FSOperations.FSSetReplication` Executor that performs a set-replication FileSystemAccess files system operation.
    `static class` | `FSOperations.FSSetStoragePolicy` Executor that performs a setStoragePolicy FileSystemAccess files system operation.
    `static class` | `FSOperations.FSSetTimes` Executor that performs a set-times FileSystemAccess files system operation.
    `static class` | `FSOperations.FSSetXAttr` Executor that performs a setxattr FileSystemAccess files system operation.
    `static class` | `FSOperations.FSTrashRoot` Executor that performs getting trash root FileSystemAccess files system operation.
    `static class` | `FSOperations.FSTruncate` Executor that performs a truncate FileSystemAccess files system operation.
    `static class` | `FSOperations.FSUnsetStoragePolicy` Executor that performs a unsetStoragePolicy FileSystemAccess files system operation.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `copyBytes(InputStream in, OutputStream out)` These copyBytes methods combines the two different flavors used originally.
    `static long` | `copyBytes(InputStream in, OutputStream out, long count)`
    `static void` | `setBufferSize(org.apache.hadoop.conf.Configuration conf)` Set the buffer size.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setBufferSize

          public static void setBufferSize(org.apache.hadoop.conf.Configuration conf)

      Set the buffer size. The size is set during the initialization of HttpFSServerWebApp.
      Parameters:
        `conf` - the configuration to get the bufferSize

    - #### copyBytes

          public static long copyBytes(InputStream in,
                                       OutputStream out)
                                throws IOException

      These copyBytes methods combines the two different flavors used originally. One with length and another one with buffer size. In this impl, buffer size is determined internally, which is a singleton normally set during initialization.
      Parameters:
        `in` - the inputStream
        `out` - the outputStream
      Returns:
        the totalBytes
      Throws:
        `IOException` - the exception to be thrown.

    - #### copyBytes

          public static long copyBytes(InputStream in,
                                       OutputStream out,
                                       long count)
                                throws IOException

      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.